#
# spec file for package libarchive (Version 1.3.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libacl-devel libattr libattr-devel libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libarchive
Version:        1.3.1
Release:        37.1
License:        BSD 3-Clause
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bzip2 libacl-devel zlib-devel
URL:            http://people.freebsd.org/~kientzle/libarchive/
Source0:        http://people.freebsd.org/~kientzle/libarchive/src/libarchive-%{version}.tar.gz
Patch:          bsdtar-1.2.53_ext2_include.patch
Patch1:         bsdtar-1.2.53_testsuite.patch
Patch2:         libarchive-SA_07_05.patch
Summary:        Libarchive is a programming library that can create and read several different streaming archive formats

%description
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular tar
variants and several cpio formats. It can also write shar archives and
read ISO9660 CDROM images. The bsdtar program is an implementation of
tar(1) that is built on top of libarchive. It started as a test
harness, but has grown and is now the standard system tar for FreeBSD 5
and 6.

The libarchive library offers a number of features that make it both
very flexible and very powerful.

- Automatic format detection: libarchive can automatically determine
   both the compression and the archive format, regardless of the
   data source. Most tar implementations do not automatically detect
   the compression format, few implementation that can correctly do
   this when reading from stdin or a socket. (The tar program
   included with Gunnar Ritter's heirloom collection also does full
   automatic format detection.)

- Writes POSIX formats: libarchive writes POSIX-standard formats,
   including "ustar," "pax interchange format," and the POSIX "cpio"
   format.

- Supports pax interchange format: Pax interchange format (which,
   despite the name, is really an extended tar format) eliminates
   almost all limitations of historic tar formats and provides a
   standard method for incorporating vendor-specific extensions.
   libarchive exploits this extension mechanism to support ACLs and
   file flags, for example. (Joerg Schilling's star archiver is
   another open-source tar program that supports pax interchange
   format.)

- Reads popular formats: libarchive can read GNU tar, ustar, pax
   interchange format, cpio, and older tar variants. The internal
   architecture is easily extensible. The only requirement for
   support is that it be possible to read the format without seeking
   in the file. (For example, a format that includes a compressed
   size field before the data cannot be correctly written without
   seeking.)

- High-Level API: the libarchive API makes it fairly simple to build
   an archive from a list of filenames or to extract the entries
   from an archive. However, the API also provides extreme
   flexibility with regards to data sources. For example, there are
   generic hooks that allow you to write an archive to a socket or
   read data from an archive entry into a memory buffer.

- Extensible. The internal design uses generic interfaces for
compression, archive format detection and decoding, and archive data
I/O. It should be very easy to add new formats, new compression
methods, or new ways of reading/writing archives.



Authors:
--------
    Tim Kientzle <kientzle@freebsd.org>

%debug_package
%package devel
Requires:       %{name} == %{version}
Requires:       bzip2 zlib-devel libacl-devel bsdtar
Group:          Development/Libraries/C and C++
Summary:        Development files for libarchive.

%description devel
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular tar
variants and several cpio formats. It can also write shar archives and
read ISO9660 CDROM images. The bsdtar program is an implementation of
tar(1) that is built on top of libarchive. It started as a test
harness, but has grown and is now the standard system tar for FreeBSD 5
and 6.

This package contains the development files.



Authors:
--------
    Tim Kientzle <kientzle@freebsd.org>

%package -n bsdtar
Group:          Development/Libraries/C and C++
Summary:        bsdtar is a programm that can create and read several different streaming archive formats

%description -n bsdtar
Libarchive is a programming library that can create and read several
different streaming archive formats, including most popular tar
variants and several cpio formats. It can also write shar archives and
read ISO9660 CDROM images. The bsdtar program is an implementation of
tar(1) that is built on top of libarchive. It started as a test
harness, but has grown and is now the standard system tar for FreeBSD 5
and 6.

This package contains the bsdtar cmdline utility.



Authors:
--------
    Tim Kientzle <kientzle@freebsd.org>

%prep
%setup
%patch
%patch1
%patch2 -p1

%build
%configure
%{__make}
pushd tar/test/
%{__ln_s} /bin/tar gtar
export PATH="$PWD:$PATH"
  sh -x test.sh
popd

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.1*
%doc COPYING INSTALL NEWS README minitar

%files devel
%defattr(-,root,root)
%{_mandir}/man?/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_includedir}/archive*

%files -n bsdtar
%defattr(-,root,root)
%{_bindir}/bsdtar

%changelog
* Mon Jul 30 2007 - mrueckert@suse.de
- added libarchive-SA_07_05.patch: (#291358)
  Errors handling corrupt tar files in libarchive
  (CVE-2007-3641, CVE-2007-3644, CVE-2007-3645)
* Thu Apr 27 2006 - mrueckert@suse.de
- updated to 1.2.53:
  Upstream merged the source tarball.
  Splitted of a bsdtar package
* Mon Feb 27 2006 - mrueckert@suse.de
- fixed building of debuginfo package
* Mon Feb 27 2006 - mrueckert@suse.de
- libarchive 1.2.38
